Announcement

Collapse
No announcement yet.

OTM CU6 Installation Question

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • OTM CU6 Installation Question

    We are currently on OTM v 5.5 CU5 RU2, running on weblogic 8.1 SP4. We are planning to upgrade to OTM v5.5 CU6. One of the requirement for CU6 upgrade is to upgrade to Weblogic 8.1 SP6 version.
    What is the best way to upgrade Weblogic? Can we use existing domain and do it without redeploying OTM?

    Note: Oracle confirmed that OTM v 5.5 CU5 RU2 is not certified with Weblogic 8.1 SP6.
    Regards,
    Gurpreet

  • #2
    Re: OTM CU6 Installation Question

    I haven't done this personally yet but all that would be needed is to remove the existing weblogic directory and install 8.1 SP6 (unless this is only an upgrade). It shouldn't take more than 15 minutes to do this.

    And only 5.5 CU6 supports 8.1 SP 6.
    If my post was helpful please click on the Thanks! button

    MavenWire Hosting Admin
    15 years of OTM experience

    Comment


    • #3
      Re: OTM CU6 Installation Question

      Understanding that you are migrating to RU6 for Weblogic 8.1 SP6, but please note that RU6 would NOT be able to migrate to 6.0 in the future.

      Important Upgrade Information -- Please Read carefully!
      Due to the timing of the two releases (5.5 CU 6 and 6.0), there is no upgrade path from 5.5.06 (5.5 CU6) to 6.0.x (6.0 GA or any of its RUs). You will be prevented from upgrading a 5.5.06 instance to 6.0.x by the data migration scripts. If you wish to upgrade to 6.0 GA or any of its RUs you must NOT upgrade to 5.5.06! If you install 5.5.06, your upgrade path to the 6.x releases will only be through a 6.1 or later release.
      For urgrading Weblogic 8.1 SP6, please refer to Metalink Note 880153.1
      Upgrading WebLogic from WebLogic 8.1 SP4 to WebLogic 8.1 SP6

      If you are installing WebLogic 8.1 SP6 over top of WebLogic 8.1 SP4:
      1. Install WebLogic 8.1 SP6
      2. Install Oracle Transportation Management 5.5 CU 6.
      3. Copy the following files from <otm_installation_dir>/glog/gc3webapp/WEB-INF/lib/3rdparty to <wl_home>/server/lib/mbeantypes:
        • gc3authenticator.jar
        • gc3authorizer.jar
      4. Copy the following files from <wl_home>/server/lib to <otm_installation_dir>/glog/gc3webapp/WEB-INF/lib/3rdparty:
        • weblogic.jar
        • webservices.jar
        • xmlx.jar
      If you are installing WebLogic 8.1 SP6 in a different location:
      1. Install WebLogic 8.1 SP6
      2. Install Oracle Transportation Management 5.5 CU 6.
      3. Copy the following files from <otm_installation_dir>/glog/gc3webapp/WEB-INF/lib/3rdparty to <wl_home>/server/lib/mbeantypes:
        • gc3authenticator.jar
        • gc3authorizer.jar
      4. Copy the following files from <wl_home>/server/lib to <otm_installation_dir>/glog/gc3webapp/WEB-INF/lib/3rdparty:
        • weblogic.jar
        • webservices.jar
        • xmlx.jar
      5. Modify the following files and change the line the begins with WL_HOME to point to the WebLogic 8.1 SP6 installation:
        • <otm_installation_dir>/install/gc3env.sh
        • <otm_installation_dir>/weblogic/config/gc3domain/weblogic.sh
      6. Modify the following file and change the line the begins with set.WL_HOME to point to the WebLogic 8.1 SP6 installation:
        • <otm_installation_dir>/weblogic/config/gc3domain/weblogic.conf
      --
      Joseph Liang
      MavenWire APAC
      http://www.mavenwire.com/

      Comment

      Working...
      X